com.holonplatform.vaadin.flow.components.builders

## Interface PropertyListingBuilder.DatastorePropertyListingBuilder

- All Superinterfaces:
    ComponentConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, ComponentGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,Input<?>,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder.DatastorePropertyListingBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,PropertyListingBuilder.DatastorePropertyListingBuilder>, HasElementConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasEnabledConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasSizeConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasStyleConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.grid.GridVariant,PropertyListingBuilder.DatastorePropertyListingBuilder>, InputGroupConfigurator<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox,ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, InputGroupConfigurator.PropertySetInputGroupConfigurator<ItemListing.EditorComponentGroup<com.holonplatform.core.property.Property<?>,com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.DatastorePropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder.DatastorePropertyListingBuilder>, ItemListingConfigurator<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder.DatastorePropertyListingBuilder>, PropertyListingConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>
  Enclosing interface:
    PropertyListingBuilder

      public static interface PropertyListingBuilder.DatastorePropertyListingBuilder
      extends PropertyListingConfigurator<PropertyListingBuilder.DatastorePropertyListingBuilder>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,PropertyListingBuilder.DatastorePropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>,PropertyListing,PropertyListingBuilder.DatastorePropertyListingBuilder>

  `PropertyListing` builder with `DatastoreDataProviderConfigurator` support.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `ItemListingConfigurator.ColumnAlignment, ItemListingConfigurator.EditableItemListingRow<P>, ItemListingConfigurator.EditableItemListingSection<P>, ItemListingConfigurator.ItemListingColumnBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>, ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C extends ItemListingConfigurator.ItemListingColumnConfigurator<T,P,C>>, ItemListingConfigurator.ItemListingContextMenuBuilder<T,P,L extends ItemListing<T,P>,B extends ItemListingConfigurator<T,P,L,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `InputGroupConfigurator.BeanInputGroupConfigurator<T,G extends BoundComponentGroup<String,Input<?>>,C extends InputGroupConfigurator.BeanInputGroupConfigurator<T,G,C>>, InputGroupConfigurator.PropertySetInputGroupConfigurator<G extends BoundComponentGroup<com.holonplatform.core.property.Property<?>,Input<?>>,C extends InputGroupConfigurator.PropertySetInputGroupConfigurator<G,C>>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertyListingConfigurator

      `editor, editor, editor, editor, editorField, editorField, renderAsViewComponent, withColumn, withComponentColumn`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator.PropertySetInputGroupConfigurator

      `defaultValue, withValidator, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemListingConfigurator

      `alignment, columnReorderingAllowed, componentRenderer, contextMenu, displayAfter, displayAsFirst, displayAsLast, displayBefore, editable, editable, editorBuffered, editorComponent, editorComponent, expand, flexGrow, footer, footer, footer, footer, footerComponent, frozen, frozen, frozenColumns, header, header, header, header, headerComponent, heightByRows, hidden, itemDetailsComponent, itemDetailsRenderer, itemDetailsText, itemDetailsVisibleOnClick, multiSelect, multiSort, notSelectable, pageSize, readOnly, renderer, resizable, resizable, selectionMode, singleSelect, sortable, sortable, sortComparator, sortProvider, sortUsing, sortUsing, valueProvider, verticalScrollingEnabled, visible, visibleColumns, visibleColumns, width, withColumn, withComponentColumn, withEditorCancelListener, withEditorCloseListener, withEditorOpenListener, withEditorSaveListener, withItemClickListener, withItemRefreshListener, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputGroupConfigurator

      `enableRefreshOnValueChange, groupValidationStatusHandler, required, required, required, required, validationStatusHandler, validationStatusHandler, validationStatusLabel, withPostProcessor, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentGroupConfigurator

      `usePropertyRendererRegistry, withValueChangeListener`

Copyright © 2019 The Holon Platform. All rights reserved.